##
##  tmake.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tmake
Summary:      Build Tool
URL:          http://code.google.com/p/tmake/
Vendor:       Tom Leese
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Building
License:      GPL
Version:      1.1
Release:      20110320

#   list of sources
Source0:      http://tmake.googlecode.com/files/tmake-%{version}-src.tar.gz
Patch0:       tmake.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  lua
PreReq:       lua

%description
    TMake is an open-source project to help with building and creation
    of projects. It has taken ideas from CMake, Scons, Makefile and Jam
    but aims to be different as well. It uses Lua as its configuration
    language.

%track
    prog tmake = {
        version   = %{version}
        url       = http://code.google.com/p/tmake/downloads/list
        regex     = tmake-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n tmake-%{version}-src
    %patch -p0

%build
    %{l_shtool} subst \
        -e 's;/etc/tmake;%{l_prefix}/etc/tmake;g' \
        src/os/linux.cpp
    CXX="%{l_cxx} %{l_cxxflags}" \
    %{l_bash} -x build.sh

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/tmake
    cp -r conf/* $RPM_BUILD_ROOT%{l_prefix}/etc/tmake/
    %{l_shtool} install -c -s -m 755 \
        tmake $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

